import { noop } from "ts-essentials";
import { BaseOpenApiV3_1ConverterNodeWithExample, } from "../../../BaseOpenApiV3_1Converter.node";
export class UnknownConverterNode extends BaseOpenApiV3_1ConverterNodeWithExample {
    displayName;
    shape;
    constructor(args) {
        super(args);
        this.safeParse();
    }
    parse() {
        noop();
    }
    convert() {
        return {
            type: "alias",
            value: {
                type: "unknown",
                displayName: undefined,
            },
        };
    }
    example() {
        return undefined;
    }
}
